Bug 509762 - slow perf of intel video on F11 compared to arch linux
slow perf of intel video on F11 compared to arch linux
Status: CLOSED DUPLICATE of bug 528312
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
card_965GM
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-05 17:18 EDT by Sachin Garg
Modified: 2018-04-11 08:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-22 10:10:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
arch_x11perf_output (789 bytes, text/plain)
2009-07-05 17:18 EDT, Sachin Garg
no flags Details
xorg log from arch linux (17.63 KB, text/plain)
2009-07-05 17:19 EDT, Sachin Garg
no flags Details
x11perf from F11 (801 bytes, text/plain)
2009-07-05 17:24 EDT, Sachin Garg
no flags Details
xorg log from F11 (52.17 KB, text/plain)
2009-07-05 17:25 EDT, Sachin Garg
no flags Details
messages (12.56 KB, application/x-bzip)
2009-12-01 10:38 EST, Levente Farkas
no flags Details

  None (edit)
Description Sachin Garg 2009-07-05 17:18:57 EDT
Created attachment 350553 [details]
arch_x11perf_output

Description of problem:
I have installed the arch linux and fedora 11 on same laptop. But I see the performance of arch linux is better than fedora 11. I am attaching the report of the x11perf from both O/S.

There is no xorg.conf for both O/S.

Version-Release number of selected component (if applicable):

arch linux version
------------------
kernel26 2.6.30-5
xf86-video-intel 2.7.1-1



How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Sachin Garg 2009-07-05 17:19:46 EDT
Created attachment 350554 [details]
xorg log from arch linux
Comment 2 Sachin Garg 2009-07-05 17:24:45 EDT
Created attachment 350555 [details]
x11perf from F11
Comment 3 Sachin Garg 2009-07-05 17:25:26 EDT
Created attachment 350556 [details]
xorg log from F11
Comment 4 Sachin Garg 2009-07-05 17:26:11 EDT
[sachin@sachin-laptop ~]$ rpm -qa |grep intel
xorg-x11-drv-intel-2.7.0-7.fc11.i586
[sachin@sachin-laptop ~]$ rpm -qa |grep kernel
kernel-2.6.29.5-191.fc11.i586

There is no compiz in both cases
Comment 5 Sachin Garg 2009-07-13 14:01:20 EDT
any updates ...
Comment 6 Sachin Garg 2009-07-31 20:05:34 EDT
...
Comment 7 Matěj Cepl 2009-11-05 13:34:16 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Sachin Garg 2009-11-05 13:38:21 EST
yes the problem is still in F12 ..
Comment 9 Levente Farkas 2009-11-19 10:42:57 EST
in my x4500hd it's also _very_ slow. the strange thing is that this system has very high load but on the text console it's working.
it's a fresh f12 install:-(
Comment 10 Adam Williamson 2009-11-25 16:37:05 EST
can we get your /var/log/messages too? may possibly be something useful there. What versions of the kernel and xorg-x11-drv-intel does arch use?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Levente Farkas 2009-12-01 10:38:09 EST
Created attachment 375085 [details]
messages

i'm using kernel-PAE-2.6.31.5-127.fc12.i686 and xorg-x11-drv-intel-2.9.1-1.fc12.i686. when this hang happend Xorg process takes 85-95% cpu in "D" state. it takes about 2-5 minutes and then everything comes back and i can work another hours, but it happened many times a day.
the strangest thing my colleagues have exactly the same hardware with also fedora 12 (may be the package list different) and the they don't have this problem:-( 
i already check the disk and the memory and can't find any problems:-(
Comment 12 Gary Sandine 2009-12-18 11:02:59 EST
I am getting the same behavior Levente Farkas described above in Fedora 12 with an Intel GMA 4500 video card.  I noticed that /var/log/Xorg.log.0 is growing nonstop with this part of the log file repeating maybe 5 times per second:

(II) intel(0): EDID for output DVI1
(II) intel(0): EDID for output DP1
(II) intel(0): EDID for output VGA1
(II) intel(0): Manufacturer: SNY  Model: 1d70  Serial#: 16843009
(II) intel(0): Year: 2002  Week: 29
(II) intel(0): EDID Version: 1.3
(II) intel(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) intel(0): Sync:  Separate  Composite  SyncOnGreen
(II) intel(0): Max Image Size [cm]: horiz.: 34  vert.: 27
(II) intel(0): Gamma: 2.20
(II) intel(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.640 redY: 0.340   greenX: 0.290 greenY: 0.610
(II) intel(0): blueX: 0.140 blueY: 0.070   whiteX: 0.283 whiteY: 0.298
(II) intel(0): Supported established timings:
(II) intel(0): 720x400@70Hz
(II) intel(0): 640x480@60Hz
(II) intel(0): 800x600@60Hz
(II) intel(0): 1024x768@60Hz
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported standard timings:
(II) intel(0): #0: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 108.0 MHz   Image Size:  338 x 270 mm
(II) intel(0): h_active: 1280  h_sync: 1328  h_sync_end 1440 h_blank_end 1688 h_border: 0
(II) intel(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking: 1066 v_border: 0
(II) intel(0): Ranges: V min: 57 V max: 63 Hz, H min: 28 H max: 65 kHz, PixClock max 110 MHz
(II) intel(0): Monitor name: SDM-X72
(II) intel(0): Serial No: 4001893
(II) intel(0): EDID (in hex):
(II) intel(0):  00ffffffffffff004dd9701d01010101
(II) intel(0):  1d0c01030e221b78eac5c9a3574a9c23
(II) intel(0):  12484ca1080081800101010101010101
(II) intel(0):  010101010101302a009851002a403070
(II) intel(0):  1300520e1100001e000000fd00393f1c
(II) intel(0):  410b000a202020202020000000fc0053
(II) intel(0):  444d2d5837320a2020202020000000ff
(II) intel(0):  00343030313839330a20202020200066
(II) intel(0): EDID vendor "SNY", prod id 7536
(II) intel(0): Using hsync ranges from config file
(II) intel(0): Using vrefresh ranges from config file
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) intel(0): Printing probed modes for output VGA1
(II) intel(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
Comment 13 Adam Williamson 2009-12-18 13:17:42 EST
That bit sounds similar to https://bugzilla.redhat.com/show_bug.cgi?id=528312 ...

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Levente Farkas 2009-12-19 09:08:14 EST
we even try to replace the motherboard. and it's still happened! every morning we've to reboot my machine:-(
Comment 15 Gary Sandine 2009-12-20 18:52:03 EST
(In reply to comment #13)
> That bit sounds similar to https://bugzilla.redhat.com/show_bug.cgi?id=528312

Thanks.  That looks exactly like the problem I am having, thanks.  I will check that out.  There were two udevd processes consuming excessive resources at the same time.
Comment 16 Adam Williamson 2009-12-22 10:10:57 EST
let's close this as a dupe, then.

*** This bug has been marked as a duplicate of bug 528312 ***
Comment 17 Gary Sandine 2009-12-23 00:56:22 EST
For what it's worth, this was happening in a Fedora 12 system without an xorg.conf file.  I made one and included this to try to make it not probe where there are no displays, and the bad behavior seems to have stopped:

Section "Monitor"
    Identifier     "Monitor0"
    Option         "DPMS"
    Option          "monitor-DP1" "DP1"
    Option          "monitor-DVI1" "DVI1"
    Option          "monitor-HDMI-1" "HDMI-1"
    Option          "monitor-HDMI-2" "HDMI-2"
EndSection

Section "Monitor"
        Identifier      "HDMI-1"
        Option          "Ignore" "True"
EndSection

Section "Monitor"
        Identifier      "HDMI-2"
        Option          "Ignore" "True"
EndSection

Section "Monitor"
        Identifier      "DP1"
        Option          "Ignore" "True"
EndSection

Section "Monitor"
        Identifier      "DVI1"
        Option          "Ignore" "True"
EndSection
Comment 18 Gary Sandine 2009-12-23 00:58:56 EST
Never mind -- it's still happening, but the repeated part of the Xorg.0.log only shows a VGA1 probe now (which has a monitor attached).  I'll put this in the upstream bug report as well.

Note You need to log in before you can comment on or make changes to this bug.